﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TIL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_JXDK_NCPJSDK') 
 CREATE TABLE T_TIL_JXDK_NCPJSDK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD DATETIME,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSDXZ CHAR(1) DEFAULT ' ' NOT NULL,
FNCPMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDKTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCES VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_JXDK_NCPJSDK_ENTRY') 
 CREATE TABLE T_TIL_JXDK_NCPJSDK_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_SALE_L') 
 CREATE TABLE T_TIL_SALE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_SALE') 
 CREATE TABLE T_TIL_SALE (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTDATE DATETIME,
FSALETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSECENDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORY BIGINT DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATERFIELD BIGINT DEFAULT 0 NOT NULL,
FCREATEDATEFIELD DATETIME,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISGENERATEVOUCHER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_IN_TRANSFER_OUT') 
 CREATE TABLE T_TIL_IN_TRANSFER_OUT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSIGNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FALLOCATESTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERDATE DATETIME,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMARK VARCHAR(500) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TIL_IN_TRANSFER_OUT_ENT') 
 CREATE TABLE T_TIL_IN_TRANSFER_OUT_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TIL_table.sql **/
